API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Dms Comments

Alle Operationen rund um Dms Comments.

Datenmodell

Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:

Entität Schema-ID Felder Sequenz Permissions
DMS Comment dms_comment 9 dms_comment_*

Endpoints

Methode Pfad Operation Beschreibung
POST /v1/dms_comments Create dms_comment Create a new dms_comment in the active tenant.
DELETE /v1/dms_comments/{id} Delete dms_comment Soft delete entity.
GET /v1/dms_comments/{id} Get dms_comment by id Fetch a single dms_comment.
GET /v1/dms_comments/{id}/linked Get linked entities CodeMeta OS API endpoint.
GET /v1/dms_comments/{id}/timeline Get timeline CodeMeta OS API endpoint.
GET /v1/dms_comments/{id}/transitions List transitions CodeMeta OS API endpoint.
GET /v1/dms_comments List dms_comments List dms_comments for the active tenant.
PATCH /v1/dms_comments/{id} Patch dms_comment JSON Merge Patch update.
POST /v1/dms_comments/bulk Bulk operation CodeMeta OS API endpoint.
POST /v1/dms_comments/{id}/transition POST /v1/dms_comments/{id}/transition CodeMeta OS API endpoint.
POST /v1/dms_comments/{id}/transitions/{transitionKey} Execute transition CodeMeta OS API endpoint.
PUT /v1/dms_comments/{id} Replace dms_comment Full replace with optimistic locking.

Suche